
%if 0%{?fedora} > 6
%define kdelibs3 kdelibs3
%else
%define kdelibs3 kdelibs
BuildRequires: libutempter-devel
%endif

Name:    kmymoney2-aqbanking
Summary: Online banking plugin for KMyMoney
Version: 1.0
Release: 3%{?dist}
License: GPLv2+
Group:   Applications/Productivity
URL:     http://www2.aquamaniac.de/sites/home/index.php
# no direct URL available
Source:  kmm_kbanking-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# workaround assumptions about .la files being available for linking
Patch1: kmm_kbanking-1.0-libtool.patch

BuildRequires: curl-devel
BuildRequires: %{kdelibs3}-devel
BuildRequires: kmymoney2-devel >= %{version}
BuildRequires: qbanking-devel >= 3.7.2

# tarball name, some may expect that to be used
Provides: kmm_kbanking = %{version}-%{release}
Provides: kmymoney-aqbanking = %{version}-%{release}

Requires: kmymoney2 >= %{version}

# FIXME: flesh-out
%description
%{summary}.


%prep
%setup -q -n kmm_kbanking-%{version}

%patch1 -p1 -b .libtool


%build
%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking \
  --enable-gwenhywfar \
  --enable-aqbanking

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang kmm_kbanking 


%clean
rm -rf %{buildroot}


%files -f kmm_kbanking.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/kde3/kmm_kbanking.*
%{_datadir}/apps/kmm_kbanking/
%{_datadir}/services/kmm_kbanking.desktop
%{_docdir}/HTML/en/kmm_kbanking/


%changelog
* Fri Jan 22 2010 Bill Nottingham <notting@redhat.com> 1.0-3
- rebuild against latest aqbanking/qbanking

* Thu Sep 10 2009 Rex Dieter <rdieter@fedoraproject.org> 1.0-2
- rename to kmymoney2-aqbanking

* Thu Sep 03 2009 Rex Dieter <rdieter@fedoraproject.org> 1.0-1
- kmm_kbanking-1.0
